package cn.freemud.manager;

import cn.freemud.entities.dto.OpenPlatformPartnerMerchantAccountDto;
import cn.freemud.manager.dao.OpenPlatformPartnerMerchantAccountDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class OpenPlatformPartnerMerchantAccountManager {
    @Autowired
    private OpenPlatformPartnerMerchantAccountDao openPlatformPartnerMerchantAccountDao;
    public List<OpenPlatformPartnerMerchantAccountDto> findMerchantAccountByPartnerIdAndMchId(String partnerId, String mchId,String storeId) {
        OpenPlatformPartnerMerchantAccountDto merchantAccountDto = new OpenPlatformPartnerMerchantAccountDto();
        merchantAccountDto.setPartnerId(partnerId);
        merchantAccountDto.setMchId(mchId);
        merchantAccountDto.setStoreId(storeId);
        return openPlatformPartnerMerchantAccountDao.findMerchantAccountByPartnerIdAndMchId(merchantAccountDto);
    }
}
